> For the complete documentation index, see [llms.txt](https://docs.postgresql.tw/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.postgresql.tw/14/appendixes/additional-supplied-modules/dblink/dblink_error_message.md).

# dblink\_error\_message

dblink\_error\_message — gets last error message on the named connection

### Synopsis

```
dblink_error_message(text connname) returns text
```

### Description

`dblink_error_message` fetches the most recent remote error message for a given connection.

### Arguments

*`connname`*

Name of the connection to use.

### Return Value

Returns last error message, or `OK` if there has been no error in this connection.

### Notes

When asynchronous queries are initiated by `dblink_send_query`, the error message associated with the connection might not get updated until the server's response message is consumed. This typically means that `dblink_is_busy` or `dblink_get_result` should be called prior to `dblink_error_message`, so that any error generated by the asynchronous query will be visible.

### Examples

```
SELECT dblink_error_message('dtest1');
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.postgresql.tw/14/appendixes/additional-supplied-modules/dblink/dblink_error_message.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
